{
  description = "KropCloud system flakes";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
  };

  outputs =
    inputs@{ self, nixpkgs, ... }:
    {

      formatter.x86_64-linux = nixpkgs.legacyPackages.x86_64-linux.nixfmt-rfc-style;
      devShells.x86_64-linux.default =
        let
          pkgs = import nixpkgs {
            system = "x86_64-linux";
            allowUnfree = true;
          };
        in
        pkgs.mkShellNoCC {
          packages = with pkgs; [
            helmfile
            kustomize
            (
              pkgs.wrapHelm kubernetes-helm {
                plugins = with kubernetes-helmPlugins; [
                  helm-diff
                ];
              }
            )
          ];
        };
    };
}
